%bcond_without icu

Name:           xalan-c
Version:        1.12.0
%global so_version 112
Release:    1%{?dist}
Summary:        Xalan XSLT processor for C/C++

License:        Apache-2.0
URL:            http://xalan.apache.org/xalan-c/
%global tag Xalan-C_%(echo '%{version}' | tr . _)
%global tar_name xalan_c-%(echo %{version} | cut -d . -f -2)
%global release_url https://github.com/apache/xalan-c/releases/download/%{tag}
Source0:        %{release_url}/%{tar_name}.tar.gz
Source1:        %{release_url}/%{tar_name}.tar.gz.asc
Source2:        %{release_url}/KEYS

BuildRequires:  gnupg2
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc-c++
BuildRequires:  xerces-c-devel
%if %{with icu}
BuildRequires:  libicu-devel
%endif

%description
The Apache Xalan-C++ Project provides a library and a command line program to
transform XML documents using a stylesheet that conforms to XSLT 1.0 standards.

Xalan is a project of the Apache Software Foundation.


%package        devel
Summary:        Development files for xalan-c
Requires:       xalan-c = %{version}-%{release}

%description devel
The xalan-c-devel package contains libraries and header files for developing
applications that use xalan-c.


%package doc
Summary:        Documentation for xalan-c


%description doc
Documentation for xalan-c. See https://apache.github.io/xalan-c/ for full HTML
documentation.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%autosetup -n %{tar_name}

chmod -v a-x NOTICE

rm -vf samples/configure samples/configure.in


%build
%cmake %{?with_icu:-Dtranscoder=icu} -GNinja
%cmake_build


%install
%cmake_install
rm -rf %{buildroot}%{_prefix}/share/doc/xalan-c/api


%check
%ctest


%files
%license LICENSE
%doc CREDITS
%doc KEYS
%doc NOTICE
%doc README.md

%{_bindir}/Xalan

%{_libdir}/libxalanMsg.so.%{so_version}{,.*}
%{_libdir}/libxalan-c.so.%{so_version}{,.*}


%files devel
%{_libdir}/libxalanMsg.so
%{_libdir}/libxalan-c.so

%{_includedir}/xalanc/

%dir %{_libdir}/cmake/XalanC
%{_libdir}/cmake/XalanC/*.cmake

%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xalan-c.pc


%files doc
%license LICENSE

%doc CREDITS
%doc KEYS
%doc NOTICE
%doc README.md
%doc docs/*.md
%doc docs/images/
%doc samples/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.0-1
- initial build
